      Subroutine MkSumm(ssbond, sssumm, summpl, seqlen)                 MKSU001
c                                                                       MKSU002
c     generate a structure summary using the priority rules             MKSU003
c                                                                       MKSU004
      include 'sstruc.par'                                              MKSU005
CHECK v.3.2-->                                                          MKSU006
      SAVE stsym, altsym                                                MKSU007
CHECK v.3.2-->                                                          MKSU008
      character*1 ssbond(nstruc,maxres), sssumm(maxres), summpl(maxres) MKSU009
      integer     seqlen                                                MKSU010
CHECK v.3.0.1--> (Order of statements changed)                          MKSU011
      Integer     nxres                                                 MKSU012
CHECK v.3.0.1<--                                                        MKSU013
                                                                        MKSU014
      character   stsym(nstruc)*1, altsym(nstruc)*1                     MKSU015
      data stsym /'H', ' ', 'E', 'B', ' ', ' ', 'G', 'I', 'T', 'S', '+'/MKSU016
      data altsym/'h', ' ', 'e', 'b', ' ', ' ', 'g', 'i', 't', 's', '+'/MKSU017
CHECK v.3.2-->                                                          MKSU018
C      SAVE stsym, altsym                                               MKSU019
CHECK v.3.2-->                                                          MKSU020
                                                                        MKSU021
                                                                        MKSU022
      do 200, nxres = 1, seqlen                                         MKSU023
      SSsumm(nxres) = space                                             MKSU024
      summpl(nxres) = space                                             MKSU025
  200 continue                                                          MKSU026
      call hlxset(ssbond, sssumm, summpl, alphah, ahsz, stsym(alphah),  MKSU027
     &            altsym(alphah), seqlen)                               MKSU028
      do 400, nxres = 1, seqlen                                         MKSU029
      If (ssbond(sheet,nxres) .ne. space) then                          MKSU030
         if (sssumm(nxres) .eq. space) sssumm(nxres) = stsym(sheet)     MKSU031
         if (summpl(nxres) .eq. space .or. summpl(nxres) .eq.           MKSU032
     &      altsym(alphah) .or. summpl(nxres) .eq. altsym(sheet))       MKSU033
     &      summpl(nxres) = stsym(sheet)                                MKSU034
         if (ssbond(sheet,nxres) .eq. shtsma) then                      MKSU035
            if (summpl(nxres-1) .eq. space .or. summpl(nxres-1) .eq.    MKSU036
     &         stsym(bridge)) summpl(nxres-1) = altsym(sheet)           MKSU037
            if (summpl(nxres+1) .eq. space .or. summpl(nxres-1) .eq.    MKSU038
     &         stsym(bridge)) summpl(nxres+1) = altsym(sheet)           MKSU039
         end if                                                         MKSU040
      end if                                                            MKSU041
      If (ssbond(bridge,nxres) .ne. space) then                         MKSU042
         if (sssumm(nxres) .eq. space) sssumm(nxres) = stsym(bridge)    MKSU043
         if (summpl(nxres) .eq. space) summpl(nxres) = stsym(bridge)    MKSU044
      end if                                                            MKSU045
  400 continue                                                          MKSU046
      call hlxset(ssbond, sssumm, summpl, thrtnh, thrtsz, stsym(thrtnh),MKSU047
     &            altsym(thrtnh), seqlen)                               MKSU048
      call hlxset(ssbond, sssumm, summpl, pih, pihsz, stsym(pih),       MKSU049
     &            altsym(pih), seqlen)                                  MKSU050
      call hlxres(sssumm, stsym(thrtnh), altsym(thrtnh), stsym(turn),   MKSU051
     &            altsym(turn), thrtsz, seqlen)                         MKSU052
      call hlxres(summpl, stsym(thrtnh), altsym(thrtnh), stsym(turn),   MKSU053
     &            altsym(turn), thrtsz, seqlen)                         MKSU054
      call hlxres(sssumm, stsym(pih), altsym(pih), stsym(turn),         MKSU055
     &            altsym(turn), pihsz, seqlen)                          MKSU056
      call hlxres(summpl, stsym(pih), altsym(pih), stsym(turn),         MKSU057
     &            altsym(turn), pihsz, seqlen)                          MKSU058
      call turnst(ssbond, sssumm, summpl, stsym(turn), altsym(turn),    MKSU059
     &            seqlen)                                               MKSU060
      call bendst(ssbond, sssumm, summpl, seqlen)                       MKSU061
                                                                        MKSU062
      END                                                               MKSU063
